> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show available metric names

> For use with the 'metric' endpoint



## OpenAPI

````yaml /api-reference/4.2/service-system.json get /system/metricNames
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service system
servers:
  - url: /api/apollo/
security: []
tags:
  - name: system
paths:
  /system/metricNames:
    get:
      tags:
        - 4.2 System API
      summary: Show available metric names
      description: For use with the 'metric' endpoint
      operationId: getMetricNames
      parameters:
        - name: pattern
          in: query
          description: >-
            A regular expression to find all configuration items that contain
            matching strings
          required: false
          schema:
            type: string
        - name: prefix
          in: query
          description: Match all configuration items that start with the specified string
          required: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: string

````